GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

        • Login

          • Account password login
          • Username password login
          • Mobile phone number password login
          • Email password login
          • Login by email verification code
          • Login by mobile phone verification code
          • LDAP account login
          • AD account login
          • Generate login address
          • Login with user credentials
          • Login with mobile social networking
          • Get Alipay AuthInfo
          • Generate a QR code for login
          • Query QR code status
          • Use QR code ticket to exchange for TokenSet
          • Self-built APP scan code login: APP end modifies QR code status
        • Logout

        • Manage Token

        • Register

        • User information

        • Account Binding

        • MFA Factor Management

        • User-related resources

        • Message service

        • Authentication

        • Others

        • OIDC module
        • OAuth module
        • SAML module
        • CAS module
        • Events
      • Management module

    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. User authentication module

  8. /
  9. Login

  10. /
  11. Self-built APP scan code login: APP end modifies QR code status

¶ Self-built APP scan code login: APP end modifies QR code status

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

This endpoint is used to modify the QR code status in the self-built APP scan code login, which corresponds to the process of terminal users scanning the code, confirming authorization, and canceling authorization after the browser renders the QR code. This interface requires the user's login status.

¶ Method name

AuthenticationClient.changeQrCodeStatus

¶ Request parameters

NameType
Required
Default value
Description
Sample value
actionstringyes-Action to change QR code status:
- SCAN: Change the QR code status to scanned status. This operation should be performed immediately after the mobile APP scans the code;
- CONFIRM: Change the QR code status to authorized. Before performing this operation, you must first perform the SCAN operation;<br>-CANCEL: Change the QR code status to canceled. Before performing this operation, you must first perform theSCAN operation Operation;
CONFIRM
qrcodeIdstringyes-QR code unique ID

¶ Sample code

package test.authentication;

import cn.authing.sdk.java.client.AuthenticationClient;
import cn.authing.sdk.java.dto.ChangeQRCodeStatusDto;
import cn.authing.sdk.java.dto.CommonResponseDto;
import cn.authing.sdk.java.model.AuthenticationClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

public class ChangeQrCodeStatusTest {
// Need to be replaced with your GenAuth App ID
private static final String APP_ID = "AUTHING_APP_ID";
// Need to be replaced with your GenAuth App Secret
private static final String APP_SECRET = "AUTHING_APP_SECRET"; // Needs to be replaced with your GenAuth App Host private static final String APP_HOST = "AUTHING_APP_HOST"; // Needs to be replaced with your GenAuth Access Token private static final String ACCESS_TOKEN = "AUTHING_ACCESS_TOKEN"; public static void main(String[] args) throws Throwable { AuthenticationClientOptions clientOptions = new AuthenticationClientOptions(); clientOptions.setAppId(APP_ID); clientOptions.setAppSecret(APP_SECRET); clientOptions.setAppHost(APP_HOST); clientOptions.setAccessToken(ACCESS_TOKEN); AuthenticationClient client = new AuthenticationClient(clientOptions); ChangeQRCodeStatusDto reqDto = new ChangeQRCodeStatusDto(); reqDto.setQrcodeId("123"); reqDto.setAction(ChangeQRCodeStatusDto.Action.CONFIRM);
CommonResponseDto response = client.changeQrCodeStatus(reqDto);
System.out.println(JsonUtils.serialize(response));
}
}

¶ Request response

Type: CommonResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.

Sample result:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}

¶ Data structure

Previous article: Use QR code ticket to exchange for TokenSet Next article: Front-end logout
  • Method name
  • Request parameters
  • Sample code
  • Request response
  • Data structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.